Holger's Java API

## com.antelmann.crm
Class PersonImpl<T extends Keyword>

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.PropertyEntryImpl
              com.antelmann.crm.ContactImpl<T>
                  com.antelmann.crm.PersonImpl<T>

All Implemented Interfaces:
  Addressable, Contact, Person, DBEntry, PropertyEntry, Taggable<T>, Imageable, DetailedString, Enabled, LifeCycleObject, Serializable, Comparable<Contact>

Direct Known Subclasses:
  GPerson

    public abstract class PersonImpl<T extends Keyword>

extends ContactImpl<T>
implements Person

a basic implementation for a Person

Since:
  20.11.2008, 00:49:39
Author:
  Holger Antelmann
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.crm.Person
`Person.Gender`

Nested classes/interfaces inherited from interface com.antelmann.db.Taggable
`Taggable.Adapter<T extends Tag>`

Field Summary

Fields inherited from class com.antelmann.db.PropertyEntryImpl
`propertyChangeSupport, props, um, vcs`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Constructor Summary
`PersonImpl(Object id)`

Method Summary
`Date` `getBirthday()`
`Image` `getDisplayIcon()` returns an image that is suitable for use as an icon for this instance.
`String` `getFamilyName()`
`String` `getFirstName()`
`Person.Gender` `getGender()`
`String` `getMiddleName()`
`String` `getNickname()`
`String` `getPersonTitle()`
`static Image` `getStandardDisplayIcon()`
`void` `setBirthday(Date birthday)`
`void` `setFamilyName(String familyName)`
`void` `setFirstName(String firstName)`
`void` `setGender(Person.Gender gender)`
`void` `setMiddleName(String middleName)`
`void` `setNickname(String nickname)`
`void` `setPersonTitle(String title)`
`String` `toDetailedString()` provides full details of this instance in a String.
`String` `toString()`

Methods inherited from class com.antelmann.crm.ContactImpl

`add, add, add, addTag, compareTo, createTag, getAddress, getBeginTime, getBusinessCardString, getContactName, getContactNotes, getDisplayImage, getEndTime, getIconHolder, getImageHolder, getKeywords, getMoreAddresses, getTags, getTagType, hasKeyword, isEnabled, isTagged, remove, removeAddress, removeKeyword, setBeginTime, setContactName, setContactNotes, setDisplayImage, setDisplayImage, setDisplayImage, setDisplayImage, setEnabled, setEndTime`

Methods inherited from class com.antelmann.db.PropertyEntryImpl

`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, asProperties, canRedo, canUndo, checkPropertyChange, clearProperties, containsPropertyText, containsValuePattern, equalWithProperties, equalWithProperties, getBoolean, getNumber, getProperties, getProperty, getProperty, getPropertyChangeListeners, getPropertyComparator, getPropertyExtractor, getPropertyExtractor, getPropertyKeys, getStringExtractor, getVetoableChangeListeners, isCaseInsensitive, isChangeListenerSupportEnabled, isKeyIn, isUndoSupport, isVetoableChangeSupportEnabled, putAll, redo, removeProperty, removePropertyChangeListener, removeVetoableChangeListener, setAllFrom, setCaseInsensitive, setChangeListenerSupport, setProperty, setUndoSupported, setVetoableChangeSupport, undo, verifyProperties`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.crm.Contact
`add, getContactName, getContactNotes, getMoreAddresses, removeAddress`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface com.antelmann.crm.Addressable
`getAddress`

Methods inherited from interface com.antelmann.util.LifeCycleObject
`getBeginTime, getEndTime`

Methods inherited from interface com.antelmann.image.Imageable
`getDisplayImage`

Methods inherited from interface com.antelmann.util.Enabled
`isEnabled, setEnabled`

Constructor Detail

### PersonImpl

    public PersonImpl(Object id)

Method Detail

### getBirthday

    public Date getBirthday()

  Specified by:
    `getBirthday` in interface `Person`

### setBirthday

    public void setBirthday(Date birthday)

### setPersonTitle

    public void setPersonTitle(String title)

### setFirstName

    public void setFirstName(String firstName)

### setFamilyName

    public void setFamilyName(String familyName)

### setMiddleName

    public void setMiddleName(String middleName)

### setNickname

    public void setNickname(String nickname)

### setGender

    public void setGender(Person.Gender gender)

### getFamilyName

    public String getFamilyName()

  Specified by:
    `getFamilyName` in interface `Person`

### getFirstName

    public String getFirstName()

  Specified by:
    `getFirstName` in interface `Person`

### getMiddleName

    public String getMiddleName()

  Specified by:
    `getMiddleName` in interface `Person`

### getNickname

    public String getNickname()

  Specified by:
    `getNickname` in interface `Person`

### getGender

    public Person.Gender getGender()

  Specified by:
    `getGender` in interface `Person`

### getPersonTitle

    public String getPersonTitle()

  Specified by:
    `getPersonTitle` in interface `Person`

### toString

    public String toString()

  Overrides:
    `toString` in class `ContactImpl<T extends Keyword>`

### toDetailedString

    public String toDetailedString()

  Description copied from interface: `DetailedString`
  provides full details of this instance in a String. In case the String contains multiple lines, it is recommended to use '\n' rather than the platform specific line-break for better compatibility.

  Specified by:
    `toDetailedString` in interface `DetailedString`
  Overrides:
    `toDetailedString` in class `ContactImpl<T extends Keyword>`
  Returns:
    a (potentially multi-line) String providing full details on this object instance

### getDisplayIcon

    public Image getDisplayIcon()
                         throws IOException

  Description copied from interface: `Imageable`
  returns an image that is suitable for use as an icon for this instance. The method may return null;

  Specified by:
    `getDisplayIcon` in interface `Imageable`
  Overrides:
    `getDisplayIcon` in class `ContactImpl<T extends Keyword>`
  Throws:
    `IOException`
  See Also:
    `ContactImpl.getIconHolder()`

### getStandardDisplayIcon

    public static Image getStandardDisplayIcon()
                                        throws IOException

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads